> For the complete documentation index, see [llms.txt](https://docs.octusbridge.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.octusbridge.io/ob-id/integrate/octus-bridge-contracts/everscale/bridge-section/event-contracts-token-transfer.md).

# event-contracts-token-transfer

### TokenTransferEthereumEvent

#### **`afterSignatureCheck`**

Mengembalikan info acara DAO dalam format slice.

```
function afterSignatureCheck(TvmSlice body, TvmCell /*message*/) private inline view returns (TvmSlice)
```

**Parameter:**

| Nama | Jenis    | Deskripsi                          |
| ---- | -------- | ---------------------------------- |
| body | TvmSlice | Mengandung data seperti functionId |
|      | TvmCell  |                                    |

**Nilai hasil:**

| Jenis    | Deskripsi                                      |
| -------- | ---------------------------------------------- |
| TvmSlice | Acara DAO direpresentasikan dalam format slice |

#### **`onInit`**

Memberi tahu perubahan status acara dan memuat pengganti.

```
function onInit() override internal
```

#### **`onConfirm`**

Mengonfirmasi acaar dan memberi tahu perubahan status acara.

```
function onConfirm() override internal
```

#### **`onReject`**

Memberi tahu perubahan status acara dan mentransfer semua bensin ke penginisialisasi

```
function onReject() override internal
```

#### *`notifyEventStatusChanged`*\*

Memberi tahu kontrak pemilik bahwa status kontrak acara telah berubah. Digunakan untuk dengan mudah mengumpulkan semua acara yang terkonfirmasi dari dompet pengguna.

```
function notifyEventStatusChanged() internal view
```

### TokenTransferEverscaleEvent

#### **`afterSignatureCheck`**

Mengembalikan info acara DAO dalam format slice.

```
function afterSignatureCheck(TvmSlice body, TvmCell /*message*/) private inline view returns (TvmSlice)
```

**Parameter:**

| Nama | Jenis    | Deskripsi                          |
| ---- | -------- | ---------------------------------- |
| body | TvmSlice | Mengandung data seperti functionId |
|      | TvmCell  |                                    |

**Nilai hasil:**

| Jenis    | Deskripsi                                      |
| -------- | ---------------------------------------------- |
| TvmSlice | Acara DAO direpresentasikan dalam format slice |

#### **`close`**

Menyelesaikan transfer token dan mengirimkan sisa bensin ke pemilik

```
function close() public view
```

#### **`onInit`**

Memberi tahu perubahan status acara dan memuat pengganti

```
function onInit() override internal
```

#### **`onConfirm`**

Memberi tahu perubahan status acara

```
function onConfirm() override internal
```

#### **`onReject`**

Memberi tahu perubahan status acara

```
function onReject() override internal
```

#### **`notifyEventStatusChanged`**

Memberi tahu kontrak pemilik bahwa status kontrak acara telah berubah. Digunakan untuk dengan mudah mengumpulkan semua acara terkonfirmasi dari dompet pengguna.

```
function notifyEventStatusChanged() internal view
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.octusbridge.io/ob-id/integrate/octus-bridge-contracts/everscale/bridge-section/event-contracts-token-transfer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
